com.thinkaurelius.titan.core

## Class TitanException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.thinkaurelius.titan.core.TitanException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    IDPoolExhaustedException, InvalidElementException, QueryException, TitanConfigurationException

      public class TitanException
      extends RuntimeException

  Most general type of exception thrown by the Titan graph database.
  Author:
    Matthias Bröcheler (http://www.matthiasb.com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TitanException(String msg)`
    `TitanException(String msg, Throwable cause)`
    `TitanException(Throwable cause)` Constructs an exception with a generic message

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isCausedBy(Class<?> causeExceptionType)` Checks whether this exception is cause by an exception of the given type.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TitanException

          public TitanException(String msg)

      Parameters:
        `msg` - Exception message

    - #### TitanException

          public TitanException(String msg,
                        Throwable cause)

      Parameters:
        `msg` - Exception message
        `cause` - Cause of the exception

    - #### TitanException

          public TitanException(Throwable cause)

      Constructs an exception with a generic message
      Parameters:
        `cause` - Cause of the exception

  - ### Method Detail

    - #### isCausedBy

          public boolean isCausedBy(Class<?> causeExceptionType)

      Checks whether this exception is cause by an exception of the given type.
      Parameters:
        `causeExceptionType` - exception type
      Returns:
        true, if this exception is caused by the given type

Copyright © 2012–2014. All rights reserved.